Name: shash
Version: 0.2.6
Release: alt1

Summary: Generates or checks digests or MACs
License: GPL
Group: File tools
Url: http://hq.hellug.gr/~mcrypt/%name/

Source: ftp://mcrypt.hellug.gr/pub/mcrypt/%name/%name-%version.tar.bz2

# Automatically added by buildreq on Tue Oct 22 2002
BuildRequires: libmhash-devel

%description
Shash is a program intended to produce message digests for files, or it can
check with the output of a former run whether the message digests are still
the same (i.e. whether the files changed). Shash uses several hash algorithms.
Since everyone can generate the message digest, it may not be suitable for
some security related applications.

Because of this %name also supports HMAC (rfc2104), which is a mechanism for
message authentication using cryptographic hash functions. So %name can use
a key with a hash algorithm to produce hashes that can only be verified with
the key. This way you can securely check (i.e. you are sure that nobody can
modify the mac, without beeing detected) if files in a filesystem were altered.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall transform=''

%files
%_bindir/*
%_mandir/man?/*
%doc AUTHORS ChangeLog doc/FORMAT doc/sample.shashrc

%changelog
* Tue Oct 22 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.6-alt1
- 0.2.6

* Fri May 24 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.5-alt1
- 0.2.5

* Fri Mar 15 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.4-ipl2
- Rebuilt

* Thu Feb 08 2001 Dmitry V. Levin <ldv@fandra.org> 0.2.4-ipl1
- Initial revision.
